#include <iostream>
using namespace std;
int main()
{
   cout<<"Hauteur n (entier dans [1..15])? ";
   int n;
   cin>>n;
   while (not (1<=n and n<=15)) //<-- ERR ecriture et point-virgule
   {  //<-- ERR manque bloc
      cout<<"Oups... retapez? ";
      cin>>n;
   }
   for (int j=1 ; j<=n ; ++j) //<-- ERR point-virgule
   {
      int s = 0; //<-- ERR manque l'initialisation
      for (int k=1 ; k<=j ; ++k) //<-- ERR int et point-virgule
      {
         cout<<(k%10);
         s += k;
      }
      for (int k=j+1 ; k<=n ; ++k)
      {
         cout<<" ";
      }
      cout<<" s="<<s<<endl;
   }
   cout<<endl;
   
   // question1
   for (int j=1 ; j<=n ; ++j)
   {
      int s = 0;
      for (int k=0 ; k<j ; ++k)
      {
         cout<<(k+j)%10;
         s += (k+j);
      }
      for (int k=j+1 ; k<=n ; ++k)
      {
         cout<<" ";
      }
      cout<<" s="<<s<<endl;
   }
   cout<<endl;
   
   // question2
   for (int j=1 ; j<=n ; ++j)
   {
      int s = 0;
      for (int k=j ; k>=1 ; --k)
      {
         cout<<(k%10);
         s += k;
      }
      for (int k=j+1 ; k<=n ; ++k)
      {
         cout<<" ";
      }
      cout<<" s="<<s<<endl;
   }
}

